%define	name	creox
%define	version	0.2.2
%define	rel	0.rc2.3
%define	release	%mkrel %{rel}
%define	Summary	The Realtime Sound Effector

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.uid0.sk/zyzstar/?creox
Group:		Sound
Source0:	http://www.uid0.sk/zyzstar/projects/creox/downloads/%{name}-%{version}rc2.tar.bz2
Patch0:		creox-0.2.2rc2-gcc3.4-fix.patch.bz2
BuildRequires:	qt3-devel zlib-devel XFree86-devel kdelibs-devel jackit-devel
BuildRequires:	png-devel jpeg-devel libart_lgpl-devel expat-devel arts-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Creox is a real-time sound processor. You can plug your electric guitar
or any other musical instrument directly to the PC's sound card and start
experimenting with various sound effects. Creox has a nice user-friendly
GUI, a preset support, a low-latency DSP engine and each effect parameter
can be altered "on the fly". 

As the creox is a JACK application, the output sound can be routed to the
other JACK aware applications as well as the audio input can be taken as
the output from the other JACK client.

%prep
%setup -q -n %{name}-%{version}rc2
%patch0 -p1 -b .gcc34

%build
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--enable-final \
		--with-xinerama
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Sound" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Applications/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS BUGS ChangeLog README TODO

%changelog
* Tue Jul 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-0.rc2.3mdk
- rebuild
- %%mkrel

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2-0.rc2.2mdk
- fix build with gcc-3.4 (P0)

* Wed Nov 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2-0.rc2.1mdk
- 0.2.2rc2
- remove -fpermissive from CXXFLAGS, compiles fine now:)
- fix buildrequires (lib64..)

* Sat Aug 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.1-4mdk
- compile with -fpermissive to produce warnings in stead of errors (so things compile)
- actually build in %%build
- actually include the locale files

* Thu Jun 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.1-2mdk
- change summary macro to avoid possible conflicts with -debug packages
- fix path to qt3 (lib64 issues..)
- fix invalid binnames

* Wed Apr 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.1-1mdk
- 0.2.1
- build with xinerama support

* Thu Mar 27 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.0-2mdk
- corrected url, thx to Curtis Hildebrand <curtis_h.news@telus.net>

* Thu Mar 27 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.0-1mdk
- initial mdk release
